Subject: bug#53629: 27.1: add option to change face `mode-line-buffer-id` when mode-line is inactive

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 30 Jan 2022 21:33:32 +0100

José Júnior <[email-masked]> writes:

> Yes, it's exactly that. If I want to set a different background color
> for the `mode-line-buffer-id` when the buffer is inactive, I can't do
> it with the faces options of the `mode-line` group.

Can't you achieve that by redefining `mode-line-buffer-id' to inherit
from mode-line-inactive with the proper shadowings?

If that's not sufficient, you can alter
`mode-line-buffer-identification' to return whatever you wish, so I
don't think another face here is necessary.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no